@charset "utf-8";

:root {
    --topNav-border-color: var(--input-border-color);
    --topNav-hbg-color: #000;
    --topNav-color: #fff;
}

:root.dark {
    --topNav-hbg-color: var(--blue-color);
}

div.topNav {
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    z-index: 999999999;
    position: fixed;
    top: 51px;
    right: 0;
    width: 130px;
    min-height: calc(100vh - 50px);
    border-left: 1px solid var(--topNav-border-color);
}

div.topNav > ul { list-style: none; }

div.topNav > ul > li > a {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: bold;
    border-bottom: 1px solid var(--topNav-border-color);
    color: var(--body-color);
    display: block;
    padding: 10px;
}

div.topNav > ul > li > a:hover {
    text-decoration: none;
    background-color: var(--topNav-hbg-color);
    color: var(--topNav-color);
}